STTY(1)

BEZEICHNUNG
stty - Terminaleinstellungen ändern und anzeigen

ÜBERSICHT
stty [-F GERÄT | --file=GERÄT] [EINSTELLUNG]…
stty [-F GERÄT | --file=GERÄT] [-a|--all]
stty [-F GERÄT | --file=GERÄT] [-g|--save]

BESCHREIBUNG

Merkmale des Terminals ausgeben oder ändern.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --all
    Alle aktuellen Einstellungen in menschenlesbarer Form ausgeben

-g, --save
    Alle aktuellen Einstellungen lesbar für stty ausgeben

-F, --file=GERÄT
    Das angegebene GERÄT anstelle der Standardeingabe öffnen und benutzen

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Ein optionales »-« vor EINSTELLUNG bedeutet Verneinung. Ein »*« markiert nicht POSIX‐konforme Einstellungen. Das darunterliegende System bestimmt, welche Einstellungen zur Verfügung stehen.

  Sonderzeichen:

* discard-ZEICHEN
    ZEICHEN schaltet das Verwerfen der Ausgabe um

EOF-ZEICHEN
    ZEICHEN wird ein Dateiende senden (Eingabe beenden)

EOL-ZEICHEN
    ZEICHEN wird die Zeile beenden

* EOL2-ZEICHEN
    alternatives ZEICHEN zum Beenden der Zeile

Erase-ZEICHEN
    ZEICHEN löscht das zuletzt eingetippte Zeichen.

Intr-ZEICHEN
    ZEICHEN wird ein Unterbrechungssignal senden.

Kill-ZEICHEN
    ZEICHEN wird die aktuelle Zeile löschen.

* lnext-ZEICHEN
    ZEICHEN wird das nächste Zeichen maskiert eingeben.

Quit-ZEICHEN
    ZEICHEN wird ein Beenden‐Signal senden.

* rprnt-ZEICHEN
    ZEICHEN wird die aktuelle Zeile neu ausgeben.

Start-ZEICHEN
    ZEICHEN wird mit der Ausgabe nach einem Stopp erneut anfangen.

Stop-ZEICHEN
    ZEICHEN wird die Ausgabe stoppen.

Susp-ZEICHEN
    ZEICHEN wird ein Terminalstoppsignal senden.

* swtch-ZEICHEN
    ZEICHEN wird zu einer anderen Shell‐Ebene wechseln.

* werase-ZEICHEN
    ZEICHEN wird das zuletzt getippte Wort löschen.

  Spezielle Einstellungen:

N   Ein‐ und Ausgabegeschwindigkeit auf N Baud setzen

* cols N
    Dem Kernel mitteilen, dass das Terminal N Spalten hat

* columns N
    Dasselbe wie cols N

* [-]drain
    Auf Übertragung warten, bevor die Einstellungen angewandt werden (standardmäßig aktiviert)

ispeed N
    Eingabegeschwindigkeit auf N setzen

* line N
    »line discipline« N benutzen

min N
    Mit -icanon, N Zeichen als Minimum für ein vollständiges Lesen setzen

ospeed N
    Ausgabegeschwindigkeit auf N setzen

* rows N
    Dem Kernel mitteilen, dass dieses Terminal N Zeilen hat

* size
    Die Anzahl Zeilen und Spalten entsprechend des Kernels ausgeben

speed
    Die Terminal‐Geschwindigkeit ausgeben

time N
    Mit -icanon, die Zeitüberschreitung für Lesen auf N Zehntelsekunden setzen

  Steuerungseinstellungen:

[-]clocal
    Modem-Steuersignale ausschalten

[-]cread
    Empfang von Eingaben erlauben

* [-]crtscts
    RTS/CTS‐Datenflusskontrolle einschalten

csN Zeichengröße auf N Bits setzen, N in [5..8]

[-]cstopb
    Zwei Stopp‐Bits pro Zeichen benutzen (eins mit »-«)

[-]hup
    Ein Hangup‐Signal senden, wenn der letzte Prozess das TTY schließt

[-]hupcl
    Dasselbe wie [-]hup

[-]parenb
    Paritätsbit in der Ausgabe erzeugen und Paritätsbit in der Eingabe erwarten

[-]parodd
    Ungerade Parität setzen (oder gerade Parität mit »-«)

* [-]cmspar
    »haftende« Parität setzen (mark/space)

  Einstellungen für die Eingabe:

[-]brkint
    Pausen verursachen ein Unterbrechungssignal

[-]icrnl
    Wagenrücklauf (CR) in Zeilenvorschub umwandeln

[-]ignbrk
    Pausenzeichen ignorieren

[-]igncr
    Wagenrücklauf ignorieren

[-]ignpar
    Zeichen mit Paritätsfehlern ignorieren

* [-]imaxbel
    Piepen und einen vollen Eingabepuffer nicht bei einem Zeichen leeren

[-]inlcr
    Zeilenvorschub in Wagenrücklauf (CR) umwandeln

[-]inpck
    Eingabeprüfung der Parität erlauben

[-]istrip
    Höchstes Bit (das 8.) der Eingabezeichen löschen

* [-]iutf8
    Eingabezeichen als UTF-8 annehmen

* [-]iuclc
    Groß- in Kleinbuchstaben umwandeln

* [-]ixany
    Jedes Zeichen startet Ausgabe neu, nicht nur das Startzeichen.

[-]ixoff
    Das Senden von Start‐/Stoppzeichen erlauben

[-]ixon
    XON/XOFF‐Flusssteuerung einschalten

[-]parmrk
    Paritätsfehler markieren (mit einer 255‐0‐Zeichenfolge)

[-]tandem
    Dasselbe wie [-]ixoff

  Einstellungen für die Ausgabe:

* bsN
    Verzögerungsstil für Backspace, N in [0..1]

* crN
    Verzögerungsstil für Wagenrücklauf (CR), N in [0..3]

* ffN
    Verzögerungsstil für Seitenvorschub, N in [0..1]

* nlN
    Verzögerungsstil für Zeilenvorschub, N in [0..1]

* [-]ocrnl
    Wagenrücklauf (CR) in Zeilenvorschub umwandeln

* [-]ofdel
    Löschzeichen zum Auffüllen anstelle von Nullbyte-Zeichen (NUL) benutzen

* [-]ofill
    Füllzeichen anstelle von Zeitverzögerungen benutzen

* [-]olcuc
    Klein‐ in Großbuchstaben umwandeln

* [-]onlcr
    Zeilenvorschub in Wagenrücklauf (CR) umwandeln

* [-]onlret
    Zeilenvorschub führt Wagenrücklauf (CR) durch

* [-]onocr
    Keinen Wagenrücklauf (CR) in der ersten Spalte ausgeben

[-]opost
    Ausgabe nachbearbeiten

* tabN
    Horizontale Tabulatorverzögerung, N in [0..3]

* tabs
    Dasselbe wie tab0

* -tabs
    Dasselbe wie tab3

* vtN
    Vertikale Tabulatorverzögerung, N in [0..1]

  Lokale Einstellungen:

[-]crterase
    Löschzeichen als Backspace‐Leerzeichen‐Backspace ausgeben

* crtkill
    Ganze Zeil mit Echoprt‐ und Echoe‐Einstellungen löschen

* -crtkill
    Zeile mit Echoctl‐ und Echok‐Einstellungen löschen

* [-]ctlecho
    Steuerzeichen in Hutnotation ausgeben (»^c«)

[-]echo
    Eingabezeichen ausgeben

* [-]echoctl
    Dasselbe wie [-]ctlecho

[-]echoe
    Dasselbe wie [-]crterase

[-]echok
    Zeilenvorschub nach Killzeichen ausgeben

* [-]echoke
    Dasselbe wie [-]crtkill

[-]echonl
    Zeilenvorschub ausgeben, auch wenn keine anderen Zeichen ausgegeben werden

* [-]echoprt
    Gelöschte Zeichen rückwärts zwischen »\« und »/« ausgeben

* [-]extproc
    »LINEMODE« aktivieren; nützlich für Verbindungen mit hoher Latenz

* [-]flusho
    Ausgabe verwerfen

[-]icanon
    Besondere Zeichen einschalten: Erase, Kill, Werase, Rprnt

[-]iexten
    Sonderzeichen einschalten, die nicht POSIX‐konform sind

[-]isig
    Interrupt‐, Quit‐ und Suspend‐Sonderzeichen erlauben

[-]noflsh
    Entleerung nach Interrupt‐ und Quit‐Sonderzeichen ausschalten

* [-]prterase
    Dasselbe wie [-]echoprt

* [-]tostop
    Hintergrundjobs stoppen, die versuchen, auf das Terminal schreiben

* [-]xcase
    Mit Icanon, Großbuchstaben mit »\« maskieren

  Kombinierte Einstellungen:

* [-]LCASE
    Dasselbe wie [-]lcase

cbreak
    Dasselbe wie -icanon

-cbreak
    Dasselbe wie icanon

cooked
    Dasselbe wie brkint ignpar istrip icrnl ixon opost isig icanon und Eof‐ und Eol‐Zeichen mit ihren Vorgabewerten

-cooked
    Dasselbe wie raw

crt Dasselbe wie echoe echoctl echoke

dec Dasselbe wie echoe echoctl echoke -ixany intr ^c erase 0177 kill ^u

* [-]decctlq
    Dasselbe wie [-]ixany

ek  Erase‐ und Killzeichen auf ihre Vorgabewerte setzen

evenp
    Dasselbe wie parenb -parodd cs7

-evenp
    Dasselbe wie -parenb cs8

* [-]lcase
    Dasselbe wie xcase iuclc olcuc

litout
    Dasselbe wie -parenb -istrip -opost cs8

-litout
    Dasselbe wie parenb istrip opost cs7

nl  Dasselbe wie -icrnl -onlcr

-nl Dasselbe wie icrnl -inlcr -igncr onlcr -ocrnl -onlret

oddp
    Dasselbe wie parenb parodd cs7

-oddp
    Dasselbe wie -parenb cs8

[-]parity
    Dasselbe wie [-]evenp

pass8
    Dasselbe wie -parenb -istrip cs8

-pass8
    Dasselbe wie parenb istrip cs7

raw Dasselbe wie -ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr -icrnl -ixon -ixoff -icanon -opost -isig -iuclc -ixany -imaxbel -xcase min 1 time 0

-raw
    Dasselbe wie cooked

sane
    Dasselbe wie cread -ignbrk brkint -inlcr -igncr icrnl icanon iexten echo echoe echok -echonl -noflsh -ixoff -iutf8 -iuclc -ixany imaxbel -xcase -olcuc -ocrnl opost -ofill onlcr -onocr -onlret nl0 cr0 tab0 bs0 vt0 ff0 isig -tostop -ofdel -echoprt echoctl echoke -extproc -flusho, all special characters to their default values

Die TTY‐Leitung handhaben, die mit der Standardeingabe verbunden ist. Ohne Argumente, die Baud‐Rate, »line discipline« und Abweichungen von »stty sane« ausgeben. In den Einstellungen wird ZEICHEN wörtlich genommen oder codiert wie in ^c, 0x37, 0177 oder 127; spezielle Werte ^- oder undef werden benutzt, um Sonderzeichen zu auszuschalten.

AUTOR
Geschrieben von David MacKenzie.

FEHLER BERICHTEN
Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von stty an <http://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2017 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <http://www.gnu.org/software/coreutils/stty>
oder lokal verfügbar mit: info '(coreutils) stty invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Chris Leick <c.leick@vollbio.de>, Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.